<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Business Rules</title>
    <link rel="stylesheet" type="text/css" href="style.css" media="screen"/>
  </head>
  <body>
    <div id="index">
      <h1>Business Rules</h1>
      <h2>Table of Contents</h2>
      <ol>
        <li>
          <a href="#EDM-ebMS">EDM-ebMS: ebMS Message Header (Global) version: v1.0.4</a>
        </li>
      </ol>
    </div>
    <a name="EDM-ebMS" id="EDM-ebMS"> </a>
    <div>
      <h3>EDM-ebMS: ebMS Message Header (Global) version: v1.0.4</h3>
      <table>
        <tr>
          <td>R-EDM-ebMS-001<a href="#R-EDM-ebMS-001"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-001</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The eb:Messaging envelope should not contain the elements 'SignalMessage', 'MessageInfo/RefToMessageId', 'CollaborationInfo/AgreementRef', 'PartInfo/Schema' and 'PartInfo/Description'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-002<a href="#R-EDM-ebMS-002"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinaltiy</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-002</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be exactly one element&#160;eb:MessageProperties.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-003<a href="#R-EDM-ebMS-003"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinaltiy</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-003</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be one element&#160;eb:PayloadInfo.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-004<a href="#R-EDM-ebMS-004"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>UUID/FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-004</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:MessageInfo/eb:MessageId</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>eb:MessageId MUST be expressed according to RFC2822.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-005<a href="#R-EDM-ebMS-005"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinaltiy</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-005</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:From</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:PartyId MUST be used only once.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-006<a href="#R-EDM-ebMS-006"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Codelist</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-006</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:From/eb:PartyId</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The value of the 'eb:PartyId/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list &#8216;EEA_Country-CodeList&#8217;. For testing purposes the code "oots" can be used.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
              <tr>
                <td>Role</td>
                <td>Changed on 29.11.2023</td>
              </tr>
              <tr>
                <td>
                  <b>Codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Electronic Address Scheme</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>0</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>2024-05-15</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Digital Europe Programme (DIGITAL)</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists">https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists</a>
                </td>
              </tr>
              <tr>
                <td>AlternateFormatLocationUri</td>
                <td>EEA_country</td>
              </tr>
              <tr>
                <td>
                  <b>Additional codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Country Identification Code EEA Subset (refactored ISO-3166 alpha-2 subset of EEA countries)</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>ISO 3166</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>1.0.0</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Directorate-General for Digital Services</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://sr.oots.tech.ec.europa.eu/codelists/eea_country">https://sr.oots.tech.ec.europa.eu/codelists/eea_country</a>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-008<a href="#R-EDM-ebMS-008"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-008</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:From/eb:Role</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:Role&#160;MUST be set to fixed value&#160;http://sdg.europa.eu/edelivery/gateway.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-009<a href="#R-EDM-ebMS-009"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-009</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:To</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:PartyId MUST be used only once.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-010<a href="#R-EDM-ebMS-010"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Codelist</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-010</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:To/eb:PartyId</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The value of the 'eb:PartyId/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list &#8216;EEA_Country-CodeList&#8217;. For testing purposes  the code "oots" can be used.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
              <tr>
                <td>Role</td>
                <td>Changed on 29.11.2023</td>
              </tr>
              <tr>
                <td>
                  <b>Codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Electronic Address Scheme</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>0</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>2024-05-15</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Digital Europe Programme (DIGITAL)</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists">https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists</a>
                </td>
              </tr>
              <tr>
                <td>AlternateFormatLocationUri</td>
                <td>EEA_country</td>
              </tr>
              <tr>
                <td>
                  <b>Additional codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Country Identification Code EEA Subset (refactored ISO-3166 alpha-2 subset of EEA countries)</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>ISO 3166</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>1.0.0</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Directorate-General for Digital Services</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://sr.oots.tech.ec.europa.eu/codelists/eea_country">https://sr.oots.tech.ec.europa.eu/codelists/eea_country</a>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-012<a href="#R-EDM-ebMS-012"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-012</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PartyInfo/eb:To/eb:Role</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:Role&#160;MUST be set to fixed value&#160;http://sdg.europa.eu/edelivery/gateway.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-013<a href="#R-EDM-ebMS-013"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-013</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:CollaborationInfo/eb:Service</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:Service MUST be set to fixed value 'QueryManager'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-014<a href="#R-EDM-ebMS-014"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-014</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:CollaborationInfo/eb:Service</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The&#160;eb:Service/@type MUST be present.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-015<a href="#R-EDM-ebMS-015"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-015</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:CollaborationInfo/eb:Service</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The eb:Service/@type MUST be set to fixed value 'urn:oasis:names:tc:ebcore:ebrs:ebms:binding:1.0'</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-016<a href="#R-EDM-ebMS-016"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-016</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:CollaborationInfo/eb:Action</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>eb:Action MUST use the values 'ExecuteQueryRequest' 'ExecuteQueryResponse' or 'ExceptionResponse'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-017<a href="#R-EDM-ebMS-017"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>UUID</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-017</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:CollaborationInfo/eb:ConversationId</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The eb:ConversationId MUST be expressed as UUID.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-018<a href="#R-EDM-ebMS-018"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-018</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:MessageProperties</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be exately two elements eb:Property of eb:MessageProperties.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-019<a href="#R-EDM-ebMS-019"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-019</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:MessageProperties/eb:Property</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>One of the values from eb:Property/@name uses 'originalSender' and the other one 'finalRecipient'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-020<a href="#R-EDM-ebMS-020"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-020</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:MessageProperties/eb:Property</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be one element&#160;eb:Property/@type for eb:Property.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-021<a href="#R-EDM-ebMS-021"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Codelist</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-021</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:MessageProperties/eb:Property</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The value of the 'eb:Property/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list &#8216;EEA_Country-CodeList&#8217;. For testing purposes the code "oots" can be used.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
              <tr>
                <td>Role</td>
                <td>Changed on 29.11.2023</td>
              </tr>
              <tr>
                <td>
                  <b>Codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Electronic Address Scheme</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>0</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>2024-05-15</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/External/EAS.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Digital Europe Programme (DIGITAL)</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists">https://ec.europa.eu/digital-building-blocks/wikis/display/DIGITAL/Registry+of+supporting+artefacts+to+implement+EN16931#RegistryofsupportingartefactstoimplementEN16931-Codelists</a>
                </td>
              </tr>
              <tr>
                <td>AlternateFormatLocationUri</td>
                <td>EEA_country</td>
              </tr>
              <tr>
                <td>
                  <b>Additional codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>Country Identification Code EEA Subset (refactored ISO-3166 alpha-2 subset of EEA countries)</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>ISO 3166</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>1.0.0</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/EEA_Country-CodeList.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Directorate-General for Digital Services</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://sr.oots.tech.ec.europa.eu/codelists/eea_country">https://sr.oots.tech.ec.europa.eu/codelists/eea_country</a>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-023<a href="#R-EDM-ebMS-023"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-023</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be exactly one element eb:PartInfo in the eb:PayloadInfo if the eb:Action value is 'ExecuteQueryRequest' or 'ExceptionResponse'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-024<a href="#R-EDM-ebMS-024"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-024</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be at least one element&#160;eb:PartInfo in the eb:PayloadInfo if the eb:Action value is 'ExecuteQueryResponse'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-025<a href="#R-EDM-ebMS-025"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-025</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The attribute href of&#160;eb:PartInfo MUST be provided.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-026<a href="#R-EDM-ebMS-026"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-026</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>eb:PartInfo/@href MUST use the prefix 'cid:' and be expressed according to RFC2822.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-027<a href="#R-EDM-ebMS-027"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>UUID</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-027</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>In eb:PartInfo/@href, the value on the right side of the prefix 'cid:' and left from the symbol '@' MUST be a valid UUID.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-028<a href="#R-EDM-ebMS-028"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-028</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be exactly one element eb:PartProperties.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-029<a href="#R-EDM-ebMS-029"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-029</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo/eb:PartProperties</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be one or two eb:Property of eb:PartProperties.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-030<a href="#R-EDM-ebMS-030"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality/FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-030</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>In the message there MUST be exactly one eb:PartInfo/eb:PartProperties/eb:Property with name="MimeType" that has the fixed value 'application/x-ebrs+xml'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-031<a href="#R-EDM-ebMS-031"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Codelist</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-031</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage[eb:CollaborationInfo/eb:Action/text() = 'ExecuteQueryResponse']/eb:PayloadInfo/eb:PartInfo/eb:PartProperties/eb:Property[@name='MimeType']</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>If the eb:Action value is 'ExecuteQueryResponse' the eb:Property with&#160; name="MimeType" MUST be either 'application/x-ebrs+xml' or a a valid mime type of the code list 'OOTSMediaTypes'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
              <tr>
                <td>
                  <b>Codelist Information</b>
                </td>
              </tr>
              <tr>
                <td>ShortName</td>
                <td>OOTS Binary Object Mime Code</td>
              </tr>
              <tr>
                <td>LongName @xml:lang="en"</td>
                <td>IANA Media Types</td>
              </tr>
              <tr>
                <td>LongName @Identifier="listID"</td>
                <td>1.0.0</td>
              </tr>
              <tr>
                <td>Version</td>
                <td>
                  <a href="https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/OOTSMediaTypes-CodeList.gc">https://code.europa.eu/oots/tdd/tdd_chapters/-/blob/master/OOTS-EDM/codelists/OOTS/OOTSMediaTypes-CodeList.gc</a>
                </td>
              </tr>
              <tr>
                <td>LocationURI</td>
                <td>Directorate-General for Digital Services</td>
              </tr>
              <tr>
                <td>Agency</td>
                <td>
                  <a href="https://sr.oots.tech.ec.europa.eu/codelists/ootsmediatypes">https://sr.oots.tech.ec.europa.eu/codelists/ootsmediatypes</a>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-032<a href="#R-EDM-ebMS-032"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Order</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-032</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage[eb:CollaborationInfo/eb:Action/text() = 'ExecuteQueryResponse']/eb:PayloadInfo/eb:PartInfo[1]/eb:PartProperties</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>If the eb:Action value is 'ExecuteQueryResponse' the first eb:PartInfo[1]/eb:PartProperties/eb:Property with name="MimeType" SHALL be 'application/x-ebrs+xml'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>WARNING</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-033<a href="#R-EDM-ebMS-033"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality/FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-033</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo/eb:PartProperties</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>There MUST be one eb:Property/@name with&#160;the fixed value&#160;"MimeType".</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-034<a href="#R-EDM-ebMS-034"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-034</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:PartProperties/eb:Property[@name='CompressionType']</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>A eb:Property with name="CompressionType" MUST have the fixed value 'application/gzip'.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-035<a href="#R-EDM-ebMS-035"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality/FixedValue</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-035</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging/eb:UserMessage/eb:PayloadInfo/eb:PartInfo/eb:PartProperties</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>If there is a second eb:Property the eb:Property MUST have a name attribute with&#160;the fixed value&#160;"CompressionType".</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>R-EDM-ebMS-036<a href="#R-EDM-ebMS-036"/></td>
          <td>
            <table style="width:100%">
              <tr>
                <td>RuleType</td>
                <td>Cardinality</td>
              </tr>
              <tr>
                <td>Rule ID</td>
                <td>R-EDM-ebMS-036</td>
              </tr>
              <tr>
                <td>Element</td>
                <td>eb:Messaging</td>
              </tr>
              <tr>
                <td>Location</td>
                <td>The eb:Messaging envelope should only contain the attributes S12:mustUnderstand, wsu:Id or xml:id.</td>
              </tr>
              <tr>
                <td>Rule</td>
                <td>FATAL</td>
              </tr>
              <tr>
                <td>Role</td>
                <td>Added on 09.11.2023</td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </div>
  </body>
</html>
